Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.vmx
Class ExpressionPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.BuiltInPattern
              de.grogra.xl.query.AbstractExpressionPattern
                  de.grogra.xl.vmx.ExpressionPattern

All Implemented Interfaces:
  BytecodeSerialization.Serializable

    public final class ExpressionPattern

extends AbstractExpressionPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.AbstractExpressionPattern
`BLOCK, CONDITION, EXPRESSION, pathIn, pathOut, type`

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`ExpressionPattern(Type[] termTypes, int inTerm, int outTerm, int type, Routine routine)`

Method Summary
`protected void` | `findMatchesImpl(QueryState qs, MatchConsumer consumer, int arg, Frame frame)`
`protected java.lang.String` | `paramString()`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class de.grogra.xl.query.AbstractExpressionPattern
`createMatcher, getParameterKind`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionPattern

    public ExpressionPattern(Type[] termTypes,
                             int inTerm,
                             int outTerm,
                             int type,
                             Routine routine)

Method Detail

### findMatchesImpl

    protected void findMatchesImpl(QueryState qs,
                                   MatchConsumer consumer,
                                   int arg,
                                   Frame frame)

  Specified by:
    `findMatchesImpl` in class `AbstractExpressionPattern`

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `Pattern`

### write

    public void write(BytecodeSerialization out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD